## MMBearerProperties MMBearerProperties — Helper object to handle bearer properties. |

## Functions

MMBearerProperties * | mm_bearer_properties_new ()
const gchar * | mm_bearer_properties_get_apn ()
void | mm_bearer_properties_set_apn ()
MMBearerAllowedAuth | mm_bearer_properties_get_allowed_auth ()
void | mm_bearer_properties_set_allowed_auth ()
const gchar * | mm_bearer_properties_get_user ()
void | mm_bearer_properties_set_user ()
const gchar * | mm_bearer_properties_get_password ()
void | mm_bearer_properties_set_password ()
MMBearerIpFamily | mm_bearer_properties_get_ip_type ()
void | mm_bearer_properties_set_ip_type ()
gboolean | mm_bearer_properties_get_allow_roaming ()
void | mm_bearer_properties_set_allow_roaming ()
const gchar * | mm_bearer_properties_get_number ()
void | mm_bearer_properties_set_number ()
MMModemCdmaRmProtocol | mm_bearer_properties_get_rm_protocol ()
void | mm_bearer_properties_set_rm_protocol ()

## Types and Values

struct | MMBearerProperties

## Object Hierarchy

        GObject
        ╰── MMBearerProperties

## Description

The MMBearerProperties is an object handling the properties requested to ModemManager when creating a new bearer.

This object is created by the user and passed to ModemManager with either `mm_modem_create_bearer()` or `mm_modem_create_bearer_sync()`.

## Functions

### mm_bearer_properties_new ()

    MMBearerProperties *
    mm_bearer_properties_new (void);

Creates a new empty MMBearerProperties.

#### Returns

a MMBearerProperties. The returned value should be freed with `g_object_unref()`.

[transfer full]

### mm_bearer_properties_get_apn ()

    const gchar *
    mm_bearer_properties_get_apn (MMBearerProperties *self);

Gets the name of the access point to use when connecting.

#### Parameters

self | a MMBearerProperties. |

#### Returns

the access point, or NULL if not set. Do not free the returned value, it is owned by `self` .

[transfer none]

### mm_bearer_properties_set_apn ()

    void
    mm_bearer_properties_set_apn (MMBearerProperties *self,
                                  const gchar *apn);

Sets the name of the access point to use when connecting.

#### Parameters

self | a MMBearerProperties. |
apn | Name of the access point. |

### mm_bearer_properties_get_allowed_auth ()

    MMBearerAllowedAuth
    mm_bearer_properties_get_allowed_auth (MMBearerProperties *self);

Gets the authentication methods allowed in the connection.

#### Parameters

self | a MMBearerProperties. |

#### Returns

a bitmask of MMBearerAllowedAuth values, or `MM_BEARER_ALLOWED_AUTH_UNKNOWN` to request the modem-default method.

### mm_bearer_properties_set_allowed_auth ()

    void
    mm_bearer_properties_set_allowed_auth (MMBearerProperties *self,
                                           MMBearerAllowedAuth allowed_auth);

Sets the authentication method to use.

#### Parameters

self | a MMBearerProperties. |
allowed_auth | a bitmask of MMBearerAllowedAuth values. `MM_BEARER_ALLOWED_AUTH_UNKNOWN` may be given to request the modem-default method. |

### mm_bearer_properties_get_user ()

    const gchar *
    mm_bearer_properties_get_user (MMBearerProperties *self);

Gets the username used to authenticate with the access point.

#### Parameters

self | a MMBearerProperties. |

#### Returns

the username, or NULL if not set. Do not free the returned value, it is owned by `self` .

[transfer none]

### mm_bearer_properties_set_user ()

    void
    mm_bearer_properties_set_user (MMBearerProperties *self,
                                   const gchar *user);

Sets the username used to authenticate with the access point.

#### Parameters

self | a MMBearerProperties. |
user | the username |

### mm_bearer_properties_get_password ()

    const gchar *
    mm_bearer_properties_get_password (MMBearerProperties *self);

Gets the password used to authenticate with the access point.

#### Parameters

self | a MMBearerProperties. |

#### Returns

the password, or NULL if not set. Do not free the returned value, it is owned by `self` .

[transfer none]

### mm_bearer_properties_set_password ()

    void
    mm_bearer_properties_set_password (MMBearerProperties *self,
                                       const gchar *password);

Sets the password used to authenticate with the access point.

#### Parameters

self | a MMBearerProperties. |
password | the password |

### mm_bearer_properties_get_ip_type ()

    MMBearerIpFamily
    mm_bearer_properties_get_ip_type (MMBearerProperties *self);

Sets the IP type to use.

#### Parameters

self | a MMBearerProperties. |

#### Returns

a MMBearerIpFamily.

### mm_bearer_properties_set_ip_type ()

    void
    mm_bearer_properties_set_ip_type (MMBearerProperties *self,
                                      MMBearerIpFamily ip_type);

Sets the IP type to use.

#### Parameters

self | a MMBearerProperties. |
ip_type | a MMBearerIpFamily. |

### mm_bearer_properties_get_allow_roaming ()

    gboolean
    mm_bearer_properties_get_allow_roaming
                                   (MMBearerProperties *self);

Checks whether roaming is allowed in the connection.

#### Parameters

self | a MMBearerProperties. |

#### Returns

`TRUE` if roaming is allowed, `FALSE` otherwise..

### mm_bearer_properties_set_allow_roaming ()

    void
    mm_bearer_properties_set_allow_roaming
                                   (MMBearerProperties *self,
                                    gboolean allow_roaming);

Sets the flag to indicate whether roaming is allowed or not in the connection.

#### Parameters

self | a MMBearerProperties. |
allow_roaming | boolean value. |

### mm_bearer_properties_get_number ()

    const gchar *
    mm_bearer_properties_get_number (MMBearerProperties *self);

Gets the number to use when performing the connection.

#### Parameters

self | a MMBearerProperties. |

#### Returns

the number, or NULL if not set. Do not free the returned value, it is owned by `self` .

[transfer none]

### mm_bearer_properties_set_number ()

    void
    mm_bearer_properties_set_number (MMBearerProperties *self,
                                     const gchar *number);

Sets the number to use when performing the connection.

#### Parameters

self | a MMBearerProperties. |
number | the number. |

### mm_bearer_properties_get_rm_protocol ()

    MMModemCdmaRmProtocol
    mm_bearer_properties_get_rm_protocol (MMBearerProperties *self);

Gets the RM protocol requested to use in the CDMA connection.

#### Parameters

self | a MMBearerProperties. |

#### Returns

a MMModemCdmaRmProtocol.

### mm_bearer_properties_set_rm_protocol ()

    void
    mm_bearer_properties_set_rm_protocol (MMBearerProperties *self,
                                          MMModemCdmaRmProtocol protocol);

## Types and Values

### struct MMBearerProperties

    struct MMBearerProperties;

The MMBearerProperties structure contains private data and should only be accessed using the provided API.